EVSClient 5.10.1 changes

Sub-task

  • [EVSCLT-792] Harmonize style of the result between TM and EVS

Bug

  • [EVSCLT-739] No status given when validating with dciovfy
  • [EVSCLT-755] DICOM Validation result does not show correct Dicom Operation
  • [EVSCLT-776] Impossible to delete a tool referenced in Calling Tools menu
  • [EVSCLT-790] MBValidation stub timeout is not working

Dependencies

[INFO] Scanning for projects...
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Build Order:
[INFO] 
[INFO] EVSClient
[INFO] EVSClient-ejb
[INFO] EVSClient-ui
[INFO] EVSClient-ear
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building EVSClient 5.10.1-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ EVSClient ---
Check dependencies :: All the dependencies are up to date.
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building EVSClient-ejb 5.10.1-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ EVSClient-ejb ---
    net.ihe.gazelle.maven                       version            ejb          1.0.3          2.0.0       yes
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building EVSClient-ui 5.10.1-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ EVSClient-ui ---
Check dependencies :: All the dependencies are up to date.
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building EVSClient-ear 5.10.1-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ EVSClient-ear ---
Check dependencies :: All the dependencies are up to date.
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] EVSClient .......................................... SUCCESS [  6.270 s]
[INFO] EVSClient-ejb ...................................... SUCCESS [  8.782 s]
[INFO] EVSClient-ui ....................................... SUCCESS [  1.130 s]
[INFO] EVSClient-ear ...................................... SUCCESS [  2.159 s]
[INFO] ------------------------------------------------------------------------
[INFO] BUILD SUCCESS
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 22.172 s
[INFO] Finished at: 2018-12-19T15:00:32+01:00
[INFO] Final Memory: 45M/717M
[INFO] ------------------------------------------------------------------------

Remarks

The “version” module with version 2.0.0 is only compliant with Widefly 8 and thus not applicable to this version of EVSClient.

For the task EVSCLT-792, part of the work was done in Gazelle Test Management size. To benefit from the harmonization of validation results between those tools, it is required to work with Gazelle Test Management version 5.9.5 or higher. There is however no compatibility problem if another version is used.